#!/bin/bash
#  $HeadURL: https://svn.pasta.freemyip.com/main/bs/tags/2/share/steps/prologue-pkgctrl.sh $ $LastChangedRevision: 10922 $

#  Modules
. $(bs-config bs_share_prefix)/include/bssupport.sh || { echo "${0##*/}: INTERNAL ERROR: failed to load bssupport.sh" >&2; exit 3; }
. $(miniade) || { echo "${0##*/}: ERROR: miniade failed (hint: run 'miniade' to see error)" >&2; exit 1; }

#  Configurable stuff

#  Other globals

main()
{
    local MY_ARGS
    local PROGRAM VERBOSELEVEL PROGNAME

    #  Defaults for options

    #  Process options
    miniade_process_options --help-handler=usage MY_ARGS "$@" && set -- "${MY_ARGS[@]}"

    #  Process arguments

    #  Sanity checks and derivations
    #  bs sets PROGRAM, but passes it to us through environment as BS_PROGRAM, copy it back.
    PROGRAM=$BS_PROGRAM   
    VERBOSELEVEL=$BS_VERBOSELEVEL   
    SITE_PROLOGUE_PKGCTRL_CMD=$BS_SITE_PROLOGUE_PKGCTRL_CMD   
    PKGCTRL_SVNREPO_URL=$BS_PKGCTRL_SVNREPO_URL   
    PKGCTRL_SVNWC_DIR=$BS_PKGCTRL_SVNWC_DIR   
    bssupport_checkset VERBOSELEVEL PROGRAM SITE_PROLOGUE_PKGCTRL_CMD PKGCTRL_SVNREPO_URL PKGCTRL_SVNWC_DIR
    miniade_get_progname PROGNAME
    miniade_set_verboselevel $VERBOSELEVEL
    bssupport_changestate --id=$PROGRAM.debian --from=uninitialised --to=released --step=$PROGNAME
    bssupport_sandbox             
    
    #  Guts
    eval "$SITE_PROLOGUE_PKGCTRL_CMD" || miniade_error "site-specific prologue-pkgctrl script failed (hint: see messages above)"
}

main "$@"
