#!/bin/bash
#  $HeadURL: https://svn.pasta.freemyip.com/main/bs/tags/2/share/steps/schedule-sources.sh $ $LastChangedRevision: 10922 $

#  Modules
. $(bs-config bs_share_prefix)/include/bssupport.sh || { echo "${0##*/}: INTERNAL ERROR: failed to load bssupport.sh" >&2; exit 3; }
. $(miniade) || { echo "${0##*/}: ERROR: miniade failed (hint: run 'miniade' to see error)" >&2; exit 1; }

#  Configurable stuff

#  Other globals

main()
{
    local MY_ARGS
    local PROGRAM VERBOSELEVEL PROGNAME

    #  Defaults for options

    #  Process options
    miniade_process_options --help-handler=usage MY_ARGS "$@" && set -- "${MY_ARGS[@]}"

    #  Process arguments

    #  Sanity checks and derivations
    #  bs sets PROGRAM, but passes it to us through environment as BS_PROGRAM, copy it back.
    PROGRAM=$BS_PROGRAM   
    VERBOSELEVEL=$BS_VERBOSELEVEL   
    SOURCES_SVNWC_DIR=$BS_SOURCES_SVNWC_DIR   
    CHANGE_TYPE=$BS_CHANGE_TYPE   
    CHANGE_ID=$BS_CHANGE_ID   
    bssupport_checkset VERBOSELEVEL PROGRAM SOURCES_SVNWC_DIR CHANGE_TYPE CHANGE_ID
    miniade_get_progname PROGNAME
    miniade_set_verboselevel $VERBOSELEVEL
    bssupport_changestate --id=$PROGRAM --from=released --to=unreleased --step=$PROGNAME
    bssupport_sandbox
    
    #  Guts
    miniade_info "bumping ChangeLog ..."
    adech --debug=$VERBOSELEVEL --program=$PROGRAM --bump-$CHANGE_TYPE --comment="starts work on $CHANGE_ID" $SOURCES_SVNWC_DIR/doc/ChangeLog || miniade_error "adech failed (hint: see messages above)"
}

main "$@"
