#!/bin/bash
#  $HeadURL: https://svn.pasta.freemyip.com/main/bs/tags/2/share/steps/status.sh $ $LastChangedRevision: 10922 $

#  Modules
. $(bs-config bs_share_prefix)/include/bssupport.sh || { echo "${0##*/}: INTERNAL ERROR: failed to load bssupport.sh" >&2; exit 3; }
. $(miniade) || { echo "${0##*/}: ERROR: miniade failed (hint: run 'miniade' to see error)" >&2; exit 1; }

#  Configurable stuff

#  Other globals

main()
{
    local MY_ARGS
    local PROGRAM VERBOSELEVEL PROGNAME

    #  Defaults for options

    #  Process options
    miniade_process_options --help-handler=usage MY_ARGS "$@" && set -- "${MY_ARGS[@]}"

    #  Process arguments

    #  Sanity checks and derivations
    #  bs sets PROGRAM, but passes it to us through environment as BS_PROGRAM, copy it back.
    PROGRAM=$BS_PROGRAM   
    VERBOSELEVEL=$BS_VERBOSELEVEL   
    SOURCES_SVNWC_DIR=$BS_SOURCES_SVNWC_DIR   
    PKGCTRL_SVNWC_DIR=$BS_PKGCTRL_SVNWC_DIR   
    bssupport_checkset VERBOSELEVEL PROGRAM SOURCES_SVNWC_DIR PKGCTRL_SVNWC_DIR
    miniade_set_verboselevel $VERBOSELEVEL
    
    #  Guts
    bssupport_getstate $PROGRAM SOURCE_STATE
    bssupport_getstate $PROGRAM.debian PKGCTRL_STATE
    bssupport_get_sources_version $SOURCES_SVNWC_DIR/doc/ChangeLog SOURCE_VERSION
    bssupport_get_pkgctrl_version $PKGCTRL_SVNWC_DIR/changelog PKGCTRL_VERSION
    
    echo "Sources: $SOURCE_STATE ($SOURCE_VERSION)"
    echo "Pkgctrl: $PKGCTRL_STATE ($PKGCTRL_VERSION)"
}

main "$@"
